type: google.api.Service
config_version: 3
name: drivelabels.googleapis.com
title: Drive Labels API

apis:
- name: google.apps.drive.labels.v2.LabelService

documentation:
  summary: An API for managing Drive Labels

authentication:
  rules:
  - selector: 'google.apps.drive.labels.v2.LabelService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/drive.admin.labels,
        https://www.googleapis.com/auth/drive.labels
  - selector: google.apps.drive.labels.v2.LabelService.GetLabel
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/drive.admin.labels,
        https://www.googleapis.com/auth/drive.admin.labels.readonly,
        https://www.googleapis.com/auth/drive.labels,
        https://www.googleapis.com/auth/drive.labels.readonly
  - selector: google.apps.drive.labels.v2.LabelService.GetLabelLimits
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/drive.admin.labels,
        https://www.googleapis.com/auth/drive.admin.labels.readonly,
        https://www.googleapis.com/auth/drive.labels,
        https://www.googleapis.com/auth/drive.labels.readonly
  - selector: google.apps.drive.labels.v2.LabelService.GetUserCapabilities
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/drive.admin.labels,
        https://www.googleapis.com/auth/drive.admin.labels.readonly,
        https://www.googleapis.com/auth/drive.labels,
        https://www.googleapis.com/auth/drive.labels.readonly
  - selector: google.apps.drive.labels.v2.LabelService.ListLabelLocks
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/drive.admin.labels,
        https://www.googleapis.com/auth/drive.admin.labels.readonly,
        https://www.googleapis.com/auth/drive.labels,
        https://www.googleapis.com/auth/drive.labels.readonly
  - selector: google.apps.drive.labels.v2.LabelService.ListLabelPermissions
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/drive.admin.labels,
        https://www.googleapis.com/auth/drive.admin.labels.readonly,
        https://www.googleapis.com/auth/drive.labels,
        https://www.googleapis.com/auth/drive.labels.readonly
  - selector: google.apps.drive.labels.v2.LabelService.ListLabels
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/drive.admin.labels,
        https://www.googleapis.com/auth/drive.admin.labels.readonly,
        https://www.googleapis.com/auth/drive.labels,
        https://www.googleapis.com/auth/drive.labels.readonly
